| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
lpc_enetdata Struct Reference

## Detailed Description

Debug output formatter lock define When using FreeRTOS and with LWIP_DEBUG enabled, enabling this define will allow RX debug messages to not interleave with the TX messages (so they are actually readable). Not enabling this define when the system is under load will cause the output to be unreadable. There is a small tradeoff in performance for this so use it only for debug.

Definition at line 94 of file lpc18xx_43xx_emac.c.

## Data Fields
struct netif * | netif
IP_ENET_001_ENHTXDESC_T | ptdesc [LPC_NUM_BUFF_TXDESCS]
IP_ENET_001_ENHRXDESC_T | prdesc [LPC_NUM_BUFF_RXDESCS]
struct pbuf * | txpbufs [LPC_NUM_BUFF_TXDESCS]
volatile u32_t | tx_free_descs
u32_t | tx_fill_idx
u32_t | tx_reclaim_idx
struct pbuf * | rxpbufs [LPC_NUM_BUFF_RXDESCS]
volatile u32_t | rx_free_descs
volatile u32_t | rx_get_idx
u32_t | rx_next_idx
sys_sem_t | RxSem
sys_sem_t | TxCleanSem
sys_mutex_t | TXLockMutex
xSemaphoreHandle | xTXDCountSem

## Field Documentation

struct netif* netif

Reference back to LWIP parent netif

Definition at line 95 of file lpc18xx_43xx_emac.c.

IP_ENET_001_ENHRXDESC_T prdesc[LPC_NUM_BUFF_RXDESCS]

RX descriptor list

Definition at line 98 of file lpc18xx_43xx_emac.c.

IP_ENET_001_ENHTXDESC_T ptdesc[LPC_NUM_BUFF_TXDESCS]

TX descriptor list

Definition at line 97 of file lpc18xx_43xx_emac.c.

volatile u32_t rx_free_descs

Number of free RX descriptors

Definition at line 106 of file lpc18xx_43xx_emac.c.

volatile u32_t rx_get_idx

Index to next RX descriptor that id to be received

Definition at line 107 of file lpc18xx_43xx_emac.c.

u32_t rx_next_idx

Index to next RX descriptor that needs a pbuf

Definition at line 108 of file lpc18xx_43xx_emac.c.

struct pbuf* rxpbufs[LPC_NUM_BUFF_RXDESCS]

Saved pbuf pointers for RX

Definition at line 104 of file lpc18xx_43xx_emac.c.

sys_sem_t RxSem

RX receive thread wakeup semaphore

Definition at line 110 of file lpc18xx_43xx_emac.c.

u32_t tx_fill_idx

Current free TX descriptor index

Definition at line 102 of file lpc18xx_43xx_emac.c.

volatile u32_t tx_free_descs

Number of free TX descriptors

Definition at line 101 of file lpc18xx_43xx_emac.c.

u32_t tx_reclaim_idx

Next incoming TX packet descriptor index

Definition at line 103 of file lpc18xx_43xx_emac.c.

sys_sem_t TxCleanSem

TX cleanup thread wakeup semaphore

Definition at line 111 of file lpc18xx_43xx_emac.c.

sys_mutex_t TXLockMutex

TX critical section mutex

Definition at line 112 of file lpc18xx_43xx_emac.c.

struct pbuf* txpbufs[LPC_NUM_BUFF_TXDESCS]

Saved pbuf pointers, for free after TX

Definition at line 99 of file lpc18xx_43xx_emac.c.

xSemaphoreHandle xTXDCountSem

TX free buffer counting semaphore

Definition at line 113 of file lpc18xx_43xx_emac.c.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lwip/lpclwip/arch/lpc18xx_43xx_emac.c